#include "ImplicitFunction.h"
#include <math.h>

class BlendingImplicit: public ImplicitFunction{
public:
	ImplicitFunction* f1;
	ImplicitFunction* f2;
	float time;

	float value(float x, float y, float z){
		float v1 = f1->value(x,y,z);
		float v2 = f2->value(x,y,z);
		
		return (1.0f-time)*v1 + time*v2;
	}
};